package cpcns.dingZhi.zuHe.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.generic.ResultMessage;
import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.dingZhi.zuHe.model.GZuHeChaXun;
import cpcns.dingZhi.zuHe.service.GZuHeChaXunService;
import cpcns.jhsks.xinxifenlei.xitongmokuai.xitongpeizhidaima.dao.IXiTongDaiMaDAO;
import cpcns.utils.CommStatic;
import cpcns.utils.Json;
import cpcns.utils.PagerVO;
import cpcns.utils.tool;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.lang3.StringUtils;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/zuHeChaXun"})
public class GZuHeChaXunController extends DangAnBaseController {
  private static final Logger logger = Logger.getLogger(cpcns.dingZhi.zuHe.controller.GZuHeChaXunController.class);
  
  @Autowired
  private GZuHeChaXunService gZuHeChaXunService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @Autowired
  private IXiTongDaiMaDAO xiTongDaiMaDAO;
  
  @RequestMapping({"/query.do"})
  public String query(HttpServletRequest request, Model model) {
    return "zuHeChaXun/zhcx";
  }
  
  @RequestMapping(value = {"/getMenLei.do"}, method = {RequestMethod.POST, RequestMethod.GET})
  @ResponseBody
  public String getMenLei(HttpServletRequest request, HttpServletResponse response, String extension) {
    logger.info("/zuHeChaXun/getMenLei  查询门类数据开始");
    String result = null;
    Map<String, Object> resultMap = new HashMap<>();
    String fhangBiaoShi = request.getParameter("hangBiaoShi");
    try {
      List<Map<Object, Object>> resultList = new ArrayList();
      List<Map> xtdmList = this.xiTongDaiMaDAO.getXiTongDaiMaSQL("select mingCheng,ziFuDaiMa from G_XiTongDaiMa where fuJieDianBiaoShi =" + fhangBiaoShi + "  order by ciXu");
      if (xtdmList.size() > 0)
        for (int i = 0; i < xtdmList.size(); i++) {
          Map<Object, Object> temp = new HashMap<>();
          Map temp1 = xtdmList.get(i);
          Set f = temp1.keySet();
          Iterator<String> it = f.iterator();
          while (it.hasNext()) {
            String key = it.next();
            if ("mingCheng".equalsIgnoreCase(key))
              temp.put("name", temp1.get(key)); 
            if ("ziFuDaiMa".equalsIgnoreCase(key))
              temp.put("value", temp1.get(key)); 
          } 
          resultList.add(temp);
        }  
      resultMap.put("success", Integer.valueOf(0));
      resultMap.put("info", "查询成功");
      resultMap.put("result", resultList);
      result = Json.Map2Json(resultMap);
    } catch (Exception e) {
      System.out.println("/zuHeChaXun/getMenLei--系统异常：" + e.getMessage());
      logger.info("/zuHeChaXun/getMenLei  查询门类数据异常");
    } 
    logger.info("/zuHeChaXun/getMenLei  查询门类数据结束");
    return result;
  }
  
  @RequestMapping(value = {"/getAll.do"}, method = {RequestMethod.POST, RequestMethod.GET})
  @ResponseBody
  public String getAll(HttpServletRequest request, HttpServletResponse response, String extension, Model model) {
    logger.info("/zuHeChaXun/getAll  查询组合数据开始");
    String result = null;
    Map<String, Object> resultMap = new HashMap<>();
    try {
      String menLeiType = request.getParameter("menLeiType");
      String menLei = request.getParameter("menLei");
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      pageBase(model);
      if ("WS".equals(menLei) || "XWS".equals(menLei)) {
        map.put("menLei", "D_WENJIAN_XWS");
      } else if ("ZP".equals(menLei)) {
        map.put("menLei", "D_YINXIANG_ZP");
      } else if ("LY".equals(menLei)) {
        map.put("menLei", "D_YINXIANG_LY");
      } else if ("LX".equals(menLei)) {
        map.put("menLei", "D_YINXIANG_LX");
      } else if ("TDCGWS".equals(menLei)) {
        map.put("menLei", "D_ZHUANYEWENJIAN_TDCGWS");
      } else if ("SWGBWS".equals(menLei)) {
        map.put("menLei", "D_ZHUANYEWENJIAN_SWGBWS");
      } else if ("HYWS".equals(menLei)) {
        map.put("menLei", "D_ZHUANYEWENJIAN_HYWS");
      } else {
        map.put("menLei", menLei);
      } 
      PagerVO pagevo = this.gZuHeChaXunService.query_SQL(this.start, this.number, "G_ZUHECHAXUN", map, CommStatic.getOrderBy(request, "hangBiaoShi"));
      HashMap<Object, Integer> pageMap = new HashMap<>();
      pageMap.put("page", this.start);
      pageMap.put("rows", this.number);
      pageMap.put("total", Integer.valueOf(pagevo.getTotal()));
      pagevo.setTotalMsgNum(pageMap);
      String jsonString = formatStr(JsonWithJacksonUtils.getInstance().obj2Json(pagevo));
      write(response, jsonString);
    } catch (Exception e) {
      System.out.println("/zuHeChaXun/getAll--系统异常：" + e.getMessage());
      logger.info("/zuHeChaXun/getAll  查询组合数据异常");
    } 
    logger.info("/zuHeChaXun/getAll  查询组合数据结束");
    return result;
  }
  
  @ResponseBody
  @RequestMapping(value = {"queryList"}, method = {RequestMethod.POST, RequestMethod.GET})
  public String queryList(HttpServletRequest request) {
    logger.info("/zuHeChaXun/queryList    查询列表开始");
    Map<String, Object> map = new HashMap<>();
    String result = null;
    try {
      String menLeiType = request.getParameter("menLeiType");
      String zhuangTai = request.getParameter("zhuangTai");
      if (StringUtils.isNotBlank(menLeiType)) {
        List<Map<String, Object>> resultList = new ArrayList<>();
        List<GZuHeChaXun> zhcxList = this.gZuHeChaXunService.getList("select * from G_ZUHECHAXUN ORDER BY hangBiaoShi desc");
        if (zhcxList.size() > 0) {
          for (GZuHeChaXun zhcx : zhcxList) {
            if (menLeiType.equals(zhcx.getMenLei()) && zhuangTai.equals(zhcx.getZhuangTai())) {
              Map<String, Object> reMap = new HashMap<>();
              reMap.put("hangBiaoShi", zhcx.getHangBiaoShi());
              reMap.put("yingWenMingCheng", zhcx.getYingWenMingCheng());
              reMap.put("zhongWenMingCheng", zhcx.getZhongWenMingCheng());
              reMap.put("zhuangTai", zhcx.getZhuangTai());
              reMap.put("shuoMing", zhcx.getShuoMing());
              reMap.put("ciXu", zhcx.getCiXu());
              resultList.add(reMap);
            } 
          } 
          map.put("success", Integer.valueOf(0));
          map.put("info", "查询成功");
          map.put("resultList", resultList);
        } 
      } else {
        map.put("success", Integer.valueOf(1));
        map.put("info", "参数为空");
      } 
      result = Json.Map2Json(map);
    } catch (Exception e) {
      System.out.println("/zuHeChaXun/queryList--系统异常：" + e.getMessage());
      logger.info("/zuHeChaXun/queryList    查询列表异常");
    } 
    logger.info("/zuHeChaXun/queryList    查询列表结束");
    return result;
  }
  
  @ResponseBody
  @RequestMapping(value = {"saveOrUpDateZuHe"}, method = {RequestMethod.POST, RequestMethod.GET})
  public String saveOrUpDateZuHe(HttpServletRequest request) {
    logger.info("/zuHeChaXun/saveOrUpDateZuHe    保存修改组合查询字段开始");
    Map<String, Object> map = new HashMap<>();
    String result = null;
    try {
      Enumeration<?> rnames = getRequest().getParameterNames();
      JSONObject jsonObject = new JSONObject();
      for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
        String thisName = er.nextElement().toString();
        String thisValue = getRequest().getParameter(thisName);
        jsonObject.put(thisName, thisValue);
      } 
      GZuHeChaXun zhcx = (GZuHeChaXun)Json.Json2Been(jsonObject.toString(), GZuHeChaXun.class);
      if (zhcx.getHangBiaoShi() == null) {
        zhcx.setHangBiaoShi(Integer.valueOf(this.gZuHeChaXunService.getPk("G_ZUHECHAXUN")));
        this.gZuHeChaXunService.save(zhcx);
        map.put("success", Integer.valueOf(0));
        map.put("info", "保存成功");
      } else {
        GZuHeChaXun newZHCX = (GZuHeChaXun)this.gZuHeChaXunService.getById(GZuHeChaXun.class, zhcx.getHangBiaoShi());
        if (newZHCX != null) {
          newZHCX.setMenLei(zhcx.getMenLei());
          newZHCX.setYingWenMingCheng(zhcx.getYingWenMingCheng());
          newZHCX.setZhongWenMingCheng(zhcx.getZhongWenMingCheng());
          newZHCX.setShuRuXiangLeiXing(zhcx.getShuRuXiangLeiXing());
          newZHCX.setZhuangTai(zhcx.getZhuangTai());
          newZHCX.setIsBiTian(zhcx.getIsBiTian());
          newZHCX.setUpdateZhuangTai(zhcx.getUpdateZhuangTai());
          newZHCX.setIsEdit(zhcx.getIsEdit());
          newZHCX.setIsPanChong(zhcx.getIsPanChong());
          newZHCX.setTiaoJian(zhcx.getTiaoJian());
          newZHCX.setLeiXingBiaoShi(zhcx.getLeiXingBiaoShi());
          newZHCX.setCiXu(zhcx.getCiXu());
          newZHCX.setShuoMing(zhcx.getShuoMing());
          newZHCX.setBeiZhu(zhcx.getBeiZhu());
          newZHCX.setBeiYongZi(zhcx.getBeiYongZi());
          newZHCX.setBeiYongZiFu(zhcx.getBeiYongZiFu());
          newZHCX.setChangDu(zhcx.getChangDu());
          newZHCX.setIsChaXunPaiXu(zhcx.getIsChaXunPaiXu());
          newZHCX.setIsDongTaiJieDian(zhcx.getIsDongTaiJieDian());
          newZHCX.setIsDisplay(zhcx.getIsDisplay());
          newZHCX.setDaiMaLeiXing(zhcx.getDaiMaLeiXing());
          newZHCX.setMoRenZhi(zhcx.getMoRenZhi());
          newZHCX.setFiledType(zhcx.getFiledType());
          newZHCX.setQueryFiled(zhcx.getQueryFiled());
          newZHCX.setListFiled(zhcx.getListFiled());
          newZHCX.setListSort(zhcx.getListSort());
          this.gZuHeChaXunService.update(newZHCX);
          map.put("success", Integer.valueOf(0));
          map.put("info", "修改成功");
        } else {
          map.put("success", Integer.valueOf(1));
          map.put("info", "未查询到修改信息！");
        } 
      } 
      result = Json.Map2Json(map);
    } catch (Exception e) {
      e.printStackTrace();
      System.out.println("/zuHeChaXun/saveOrUpDateZuHe--系统异常：" + e.getMessage());
      logger.info("/zuHeChaXun/saveOrUpDateZuHe    保存修改组合查询字段异常");
    } 
    logger.info("/zuHeChaXun/saveOrUpDateZuHe    保存修改组合查询字段结束");
    return result;
  }
  
  @ResponseBody
  @RequestMapping(value = {"delZuHe"}, method = {RequestMethod.POST, RequestMethod.GET})
  public String delZuHe(HttpServletRequest request) {
    logger.info("/zuHeChaXun/delZuHe    删除组合数据开始");
    Map<String, Object> map = new HashMap<>();
    String result = null;
    try {
      String hangBiaoShis = request.getParameter("hangBiaoShis");
      if (StringUtils.isNotBlank(hangBiaoShis)) {
        String[] hbss = hangBiaoShis.split(",");
        if (hbss.length > 0)
          for (int i = 0; i < hbss.length; i++) {
            int hbs = Integer.valueOf(hbss[i].toString()).intValue();
            this.gZuHeChaXunService.deleteById(GZuHeChaXun.class, Integer.valueOf(hbs));
          }  
        map.put("success", Integer.valueOf(0));
        map.put("info", "删除成功");
      } else {
        map.put("success", Integer.valueOf(1));
        map.put("info", "参数为空");
      } 
      result = Json.Map2Json(map);
    } catch (Exception e) {
      System.out.println("/zuHeChaXun/delZuHe--系统异常：" + e.getMessage());
      logger.info("/zuHeChaXun/delZuHe    删除组合数据异常");
    } 
    logger.info("/zuHeChaXun/delZuHe    删除组合数据结束");
    return result;
  }
  
  @ResponseBody
  @RequestMapping(value = {"saveType"}, method = {RequestMethod.POST, RequestMethod.GET})
  public String saveType(HttpServletRequest request, String unselected, String selected) {
    logger.info("/zuHeChaXun/saveType    改变状态和保存次序开始");
    Map<String, Object> map = new HashMap<>();
    String result = null;
    try {
      if (StringUtils.isNotBlank(unselected)) {
        String[] us = unselected.split(",");
        for (int i = 0; i < us.length; i++) {
          String u = us[i];
          String[] unVal = u.split("#");
          GZuHeChaXun zhcx = (GZuHeChaXun)this.gZuHeChaXunService.getById(GZuHeChaXun.class, Integer.valueOf(unVal[0]));
          if (zhcx != null) {
            zhcx.setZhuangTai(Integer.valueOf(2));
            zhcx.setCiXu(Integer.valueOf(unVal[1]));
            this.gZuHeChaXunService.update(zhcx);
          } 
        } 
      } 
      if (StringUtils.isNotBlank(selected)) {
        String[] sl = selected.split(",");
        for (int i = 0; i < sl.length; i++) {
          String s = sl[i];
          String[] sVal = s.split("#");
          GZuHeChaXun zhcx = (GZuHeChaXun)this.gZuHeChaXunService.getById(GZuHeChaXun.class, Integer.valueOf(sVal[0]));
          if (zhcx != null) {
            zhcx.setZhuangTai(Integer.valueOf(1));
            zhcx.setCiXu(Integer.valueOf(sVal[1]));
            this.gZuHeChaXunService.update(zhcx);
          } 
        } 
      } 
      map.put("success", Integer.valueOf(1));
      map.put("info", "调整成功");
      result = Json.Map2Json(map);
    } catch (Exception e) {
      System.out.println("/zuHeChaXun/saveType--系统异常：" + e.getMessage());
      logger.info("/zuHeChaXun/saveType    改变状态和保存次序异常");
    } 
    logger.info("/zuHeChaXun/saveType    改变状态和保存次序结束");
    return result;
  }
  
  @RequestMapping({"attributeInfo.do"})
  public void getAttributeInfo(HttpServletRequest request, HttpServletResponse response) {
    logger.info("/zuHeChaXun/attributeInfo    根据门类获取属性信息");
    String result = null;
    ResultMessage rm = new ResultMessage();
    try {
      String leiXing = request.getParameter("leiXing");
      if (StringUtils.isNotBlank(leiXing)) {
        List attr = this.gZuHeChaXunService.getAttributeInfo(leiXing);
        result = formatStr(JsonWithJacksonUtils.getInstance().obj2Json(attr));
        rm.setSuccess(true);
      } 
    } catch (Exception e) {
      System.out.println("/zuHeChaXun/attributeInfo--系统异常：" + e.getMessage());
      logger.info("/zuHeChaXun/attributeInfo    根据门类获取属性信息");
      rm.setSuccess(false);
      rm.setInfo("");
    } 
    logger.info("/zuHeChaXun/attributeInfo    根据门类获取属性信息");
    rm.setInfo("qw");
    responseWriter(response, result);
  }
  
  private String formatStr(String obj) {
    String obj_ = obj.replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("MENLEI", "menLei").replaceAll("SHURUXIANGLEIXING", "shuRuXiangLeiXing").replaceAll("UPDATEZHUANGTAI", "updateZhuangTai")
      .replaceAll("LEIXINGBIAOSHI", "leiXingBiaoShi").replaceAll("YINGWENMINGCHENG", "yingWenMingCheng").replaceAll("ZHONGWENMINGCHENG", "zhongWenMingCheng").replaceAll("ISDONGTAIJIEDIAN", "isDongTaiJieDian")
      .replaceAll("ZHUANGTAI", "zhuangTai").replaceAll("CIXU", "ciXu").replaceAll("SHUOMING", "shuoMing").replaceAll("ISEDIT", "isEdit").replaceAll("ISBITIAN", "isBiTian")
      .replaceAll("BEIZHU", "beiZhu").replaceAll("BEIYONGZI", "beiYongZi").replaceAll("BEIYONGZIFU", "beiYongZiFu").replaceAll("ISPANCHONG", "isPanChong").replaceAll("TIAOJIAN", "tiaoJian")
      .replaceAll("ISCHAXUNPAIXU", "isChaXunPaiXu").replaceAll("CHANGDU", "changDu").replaceAll("ISDISPLAY", "isDisplay").replaceAll("DAIMALEIXING", "daiMaLeiXing")
      .replace("MORENZHI", "moRenZhi").replace("FILEDTYPE", "filedType").replace("QUERYFILED", "queryFiled").replace("LISTFILED", "listFiled").replace("LISTSORT", "listSort");
    return obj_;
  }
}
